libfreehand::FHPathElement Class Reference documentation

Public Member Functions | List of all members
libfreehand::FHPathElement Class Referenceabstract

`#include <FHPath.h>`

Inheritance diagram for libfreehand::FHPathElement:

## Public Member Functions
| FHPathElement ()
virtual | ~FHPathElement ()
virtual void | writeOut (librevenge::RVNGPropertyListVector &vec) const =0
virtual void | writeOut (std::ostream &s) const =0
virtual void | transform (const FHTransform &trafo)=0
virtual FHPathElement * | clone ()=0
virtual void | getBoundingBox (double x0, double y0, double &px, double &py, double &qx, double &qy) const =0
virtual double | getX () const =0
virtual double | getY () const =0

## Constructor & Destructor Documentation

## ◆ FHPathElement()

libfreehand::FHPathElement::FHPathElement | ( |  | ) |
| inline

## ◆ ~FHPathElement()

virtual libfreehand::FHPathElement::~FHPathElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual FHPathElement* libfreehand::FHPathElement::clone | ( |  | ) |
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by ~FHPathElement().

## ◆ getBoundingBox()

virtual void libfreehand::FHPathElement::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | px,
|  | double & | py,
|  | double & | qx,
|  | double & | qy
| ) |  | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by libfreehand::FHPath::FHPath(), and ~FHPathElement().

## ◆ getX()

virtual double libfreehand::FHPathElement::getX | ( |  | ) | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by libfreehand::FHPath::FHPath(), and ~FHPathElement().

## ◆ getY()

virtual double libfreehand::FHPathElement::getY | ( |  | ) | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by libfreehand::FHPath::FHPath(), and ~FHPathElement().

## ◆ transform()

virtual void libfreehand::FHPathElement::transform | ( | const FHTransform & | trafo | ) |
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by libfreehand::FHPath::FHPath(), and ~FHPathElement().

## ◆ writeOut() [1/2]

virtual void libfreehand::FHPathElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

Referenced by libfreehand::FHPath::FHPath(), and ~FHPathElement().

## ◆ writeOut() [2/2]

virtual void libfreehand::FHPathElement::writeOut | ( | std::ostream & | s | ) | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, and libfreehand::FHMoveToElement.

The documentation for this class was generated from the following file:

- FHPath.h